commit: 4d841a91e6a3ccd2be39cacd9367106ddace9c71
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Mon Mar 14 02:30:52 2022 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Mon Mar 14 02:41:41 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4d841a91
dev-python/pypandoc: add 1.7.2
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
dev-python/pypandoc/Manifest | 1 +
dev-python/pypandoc/pypandoc-1.7.2.ebuild | 40 +++++++++++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/dev-python/pypandoc/Manifest b/dev-python/pypandoc/Manifest
index 28d45ce9a..6e69b1ab8 100644
--- a/dev-python/pypandoc/Manifest
+++ b/dev-python/pypandoc/Manifest
@@ -1 +1,2 @@
DIST pypandoc-1.6.3.tar.gz 25912 BLAKE2B
341055a519f943b8593720d2797bae2c6bb7b7c60dc73efdfecc432fcdbcb1e7b30af138e62512dfea1da0c24dcba5b387891e005b773cae6c9a008c188a99ff
SHA512
74abcd569adfeebfd84e66c7b3e110fccd9200275ecfd32e78c297d4f18637c6dc3328c313c32c38b9b9504f64d24e6b59fdec505a539649a21d7e5434108c24
+DIST pypandoc-1.7.2.tar.gz 27900 BLAKE2B
f09d1e3431717be44ea396ee44d2d00c11ed0e181d7f79d6be98536b9474972efe146e7c94eb571ab3f7dd2acf32ed53581d4b738497650c37a91e54ead5985e
SHA512
95387c18768e480869eac334e5dcfc4ea978033d423de055d616a4a1ef015fe1fbc6a25405c086811621f4ad2d599c9fa245e740de5504baaf801bc522a6fb29
diff --git a/dev-python/pypandoc/pypandoc-1.7.2.ebuild
b/dev-python/pypandoc/pypandoc-1.7.2.ebuild
new file mode 100644
index 000000000..4e5cda380
--- /dev/null
+++ b/dev-python/pypandoc/pypandoc-1.7.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Pypandoc provides a thin wrapper for pandoc, a universal document
converter"
+HOMEPAGE="
+ https://github.com/bebraw/pypandoc
+ https://pypi.org/project/pypandoc/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="
+ app-text/pandoc
+ dev-haskell/pandoc-citeproc
+ dev-texlive/texlive-latex
+"
+DEPEND="
+ ${RDEPEND}
+ >=dev-python/wheel-0.25.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+
+PROPERTIES="test_network"
+RESTRICT="test"
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}